New answers tagged

0

I had the same problem on Mac, with clangd. It was fixed by adding a compile_flags.txt file to the project root, with CPPFLAGS options copied from the Makefile. Make sure to split CPPFLAGS with an option per line in the file. -g -Wall etc. https://releases.llvm.org/8.0.0/tools/clang/tools/extra/docs/clangd/Installation.html


0

The resolution was to update my versions of emacs and spacemacs. For the latter, if you're on the develop branch you can just go to the .emacs.d folder (where the spacemacs configuration files are) and git pull to get the newest version. For the latter, the newest version of emacs available from apt on Ubuntu is not compatible with the newest version of ...


Top 50 recent answers are included